To get the users in a group: 1. Use this…">
Skip to content
Proud to collaborate with Microsoft for Startups

docusign.groups.get-groups ​

Gets information about groups associated with the account. <ds-inlinemessage kind="information" markdown="1"> To get the users in a group: 1. Use this endpoint to get the group ID. 2. Use listGroupUsers to get the list of users. </ds-inlinemessage> ### Related topics - How to set a permission profile

Gets information about groups associated with the account.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
countstringNo—The maximum number of results to return. Use start_position to specify the number of results to skip. Valid values: 1 to 100
group_typestringNo—The type of group to return. Valid values: * AdminGroup * CustomGroup * EveryoneGroup
include_usercountstringNo—When true, every group returned in the response includes a userCount property that contains the total number of users in the group. The default is true.
search_textstringNo—Filters the results of a GET request based on the text that you specify.
start_positionstringNo—The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
countstringNo—The maximum number of results to return. Use start_position to specify the number of results to skip. Valid values: 1 to 100
group_typestringNo—The type of group to return. Valid values: * AdminGroup * CustomGroup * EveryoneGroup
include_usercountstringNo—When true, every group returned in the response includes a userCount property that contains the total number of users in the group. The default is true.
search_textstringNo—Filters the results of a GET request based on the text that you specify.
start_positionstringNo—The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /v2.1/accounts/{accountId}/groups
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /v2.1/accounts/{accountId}/groups
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.groups.get-groups",
  "initial_data": {
    "base_url": "value",
    "accountid": "value"
  }
}